datacache <- new.env(hash=TRUE, parent=emptyenv())

htmg430bmmentrezg <- function() showQCData("htmg430bmmentrezg", datacache)
htmg430bmmentrezg_dbconn <- function() dbconn(datacache)
htmg430bmmentrezg_dbfile <- function() dbfile(datacache)
htmg430bmmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
htmg430bmmentrezg_dbInfo <- function() dbInfo(datacache)

htmg430bmmentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "htmg430bmmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "htmg430bmmentrezg", "chip htmg430bmmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(htmg430bmmentrezg_dbconn())
}

